Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.ui.frameworks.taskwizard
Class WizardBaseDialog

    java.lang.Object
      TrayDialog
          org.eclipse.birt.core.ui.frameworks.taskwizard.BirtTitleAreaDialog
              org.eclipse.birt.core.ui.frameworks.taskwizard.WizardBaseDialog

    public class WizardBaseDialog

extends BirtTitleAreaDialog

Provides Dialog for WizardBase

Field Summary
`protected WizardBase` | `wizardBase` Comment for `wizardBase`

Fields inherited from class org.eclipse.birt.core.ui.frameworks.taskwizard.BirtTitleAreaDialog
`DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

Constructor Summary
`WizardBaseDialog(WizardBase wizardBase, Shell parentShell, int iInitialWidth, int iInitialHeight, java.lang.String strTitle, Image imgTitle)`

Method Summary
`void` | `addPageChangedListener(IPageChangedListener listener)`
`void` | `attachPopup(java.lang.String sPopupTitle, int iWidth, int iHeight)` Attaches the popup window.
`protected void` | `buttonPressed(int buttonId)`
`void` | `controlMoved(ControlEvent e)`
`void` | `controlResized(ControlEvent e)`
`void` | `create()`
`protected void` | `createButtonsForButtonBar(Composite parent)`
`protected Control` | `createDialogArea(Composite parent)` Creates and returns the contents of the upper part of this dialog (above the button bar).
`Shell` | `createPopupContainer()`
`void` | `detachPopup()`
`Shell` | `getPopupContainer()`
`java.lang.Object` | `getSelectedPage()`
`protected void` | `initializeBounds()`
`protected void` | `okPressed()`
`void` | `packWizard()` Packs the wizard to display enough size
`void` | `removePageChangedListener(IPageChangedListener listener)`
`void` | `setMinimumSize(int iWidth, int iHeight)` Sets the minimum size of the wizard
`protected void` | `setShellStyle(int newShellStyle)`
`void` | `switchTask()`
`void` | `widgetDefaultSelected(SelectionEvent e)`
`void` | `widgetDisposed(DisposeEvent e)`
`void` | `widgetSelected(SelectionEvent e)`

Methods inherited from class org.eclipse.birt.core.ui.frameworks.taskwizard.BirtTitleAreaDialog
`createContents, getInitialSize, getTitleArea, getTitleImageLabel, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wizardBase

    protected final WizardBase wizardBase

  Comment for `wizardBase`

Constructor Detail

### WizardBaseDialog

    public WizardBaseDialog(WizardBase wizardBase,
                            Shell parentShell,
                            int iInitialWidth,
                            int iInitialHeight,
                            java.lang.String strTitle,
                            Image imgTitle)

Method Detail

### setShellStyle

    protected void setShellStyle(int newShellStyle)

### initializeBounds

    protected void initializeBounds()

### create

    public void create()

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Description copied from class: `BirtTitleAreaDialog`
  Creates and returns the contents of the upper part of this dialog (above the button bar).

  The `Dialog` implementation of this framework method creates and returns a new `Composite` with no margins and spacing. Subclasses should override.

  Overrides:
    `createDialogArea` in class `BirtTitleAreaDialog`
  Parameters:
    `parent` - The parent composite to contain the dialog area
  Returns:
    the dialog area control

### createButtonsForButtonBar

    protected void createButtonsForButtonBar(Composite parent)

### buttonPressed

    protected void buttonPressed(int buttonId)

### switchTask

    public void switchTask()

### okPressed

    protected void okPressed()

### setMinimumSize

    public void setMinimumSize(int iWidth,
                               int iHeight)

  Sets the minimum size of the wizard

  Parameters:
    `iWidth` - width minimum
    `iHeight` - height minimum

### createPopupContainer

    public Shell createPopupContainer()

### getPopupContainer

    public Shell getPopupContainer()

### attachPopup

    public void attachPopup(java.lang.String sPopupTitle,
                            int iWidth,
                            int iHeight)

  Attaches the popup window.

  Parameters:
    `sPopupTitle` - '&' will be removed for accelerator key, if the popup title is from the control text.

### detachPopup

    public void detachPopup()

### packWizard

    public void packWizard()

  Packs the wizard to display enough size

### widgetDefaultSelected

    public void widgetDefaultSelected(SelectionEvent e)

### widgetSelected

    public void widgetSelected(SelectionEvent e)

### controlMoved

    public void controlMoved(ControlEvent e)

### controlResized

    public void controlResized(ControlEvent e)

### widgetDisposed

    public void widgetDisposed(DisposeEvent e)

### addPageChangedListener

    public void addPageChangedListener(IPageChangedListener listener)

### getSelectedPage

    public java.lang.Object getSelectedPage()

### removePageChangedListener

    public void removePageChangedListener(IPageChangedListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.